Uploaded image for project: 'Puppet Server'
  1. Puppet Server
  2. SERVER-2925

Memory leak in JRuby <9.1.17.0

    XMLWordPrintable

    Details

    • Template:
      PUP Bug Template
    • Team:
      Froyo
    • Story Points:
      2
    • Sprint:
      Froyo - 12/7/2020
    • Method Found:
      Needs Assessment
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      This release upgrade JRuby 9k to 9.1.17.0, which fixes a memory leak affecting certain users. (release notes only needed for 5.x, since JRuby 9k is a much higher version in the later streams and didn't suffer from this bug)
    • QA Risk Assessment:
      Needs Assessment

      Description

      We recently had an example of a customer on XXX, which has JRuby 9.1.16.0, experiencing a memory leak that looks like it might be caused by https://github.com/jruby/jruby/issues/4796. We should attempt to upgrade JRuby to at least 9.1.17.0 to see if it fixes this issue.

      JRuby changelog: https://www.jruby.org/2018/04/23/jruby-9-1-17-0.html

        Attachments

          Activity

            People

            Assignee:
            maggie Maggie Dreyer
            Reporter:
            maggie Maggie Dreyer
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support